Bug 384631 - noise over text in windows
noise over text in windows
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 425401 433600 443923 (view as bug list)
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2007-11-15 09:27 EST by Matthias Clasen
Modified: 2009-12-18 04:25 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:00:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
random noise (6.94 KB, image/png)
2007-11-15 09:27 EST, Matthias Clasen
no flags Details
correct rendering (5.28 KB, image/png)
2007-11-15 09:27 EST, Matthias Clasen
no flags Details
emacs garbage rendering (40.64 KB, image/png)
2008-04-23 17:41 EDT, Adam Goode
no flags Details
intel xorg.conf (1.99 KB, text/plain)
2008-04-25 18:19 EDT, Adam Goode
no flags Details
intel xorg log (36.24 KB, text/plain)
2008-04-25 18:19 EDT, Adam Goode
no flags Details
Screenshot re #27 (54.55 KB, image/png)
2008-04-28 13:48 EDT, Mikko Huhtala
no flags Details
Xorg log re #27 (33.74 KB, text/plain)
2008-04-28 13:49 EDT, Mikko Huhtala
no flags Details
xorg log (68.95 KB, text/plain)
2008-05-15 11:09 EDT, Alexander
no flags Details
screenshot of the corrupted gvim window (58.91 KB, image/png)
2008-05-15 11:15 EDT, Alexander
no flags Details
xorg.conf file (594 bytes, text/plain)
2008-05-15 11:16 EDT, Alexander
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 13104 None None None Never

  None (edit)
Description Matthias Clasen 2007-11-15 09:27:02 EST
I'll attach 2 screenshots of a spam subject rendering in evolution, when
clicking on it and away from it, the rendering toggles between (somewhat)
correct rendering and random garbage. At first I thought this was a
pango/libthai problem, since the correct rendering looks like thai, but owen
convinced me that the random garbage pretty much has to be a basic font
rendering problem.

CCing behdad for further ideas.
Comment 1 Matthias Clasen 2007-11-15 09:27:02 EST
Created attachment 259811 [details]
random noise
Comment 2 Matthias Clasen 2007-11-15 09:27:37 EST
Created attachment 259821 [details]
correct rendering
Comment 3 Matthias Clasen 2007-11-15 19:58:03 EST
According to Behdad this might be a cairo issue that is already fixed in trunk. 
I'll test that hypothesis at some point.
Comment 4 Yanko Kaneti 2007-11-20 08:05:35 EST
Same here. Opening a bunch of web pages in firefox seems to mitigate it, i guess
by exhausting some server side (video?)memory cache.
Comment 5 Bill Nottingham 2007-11-20 11:14:08 EST
See also: https://bugs.freedesktop.org/show_bug.cgi?id=13224
Comment 6 Hans de Goede 2008-01-22 16:20:12 EST
I'm seeing this too, I find it strange though that Bill says in:
https://bugs.freedesktop.org/show_bug.cgi?id=13224

That updating to the latest intel driver git fixes this, as I've seen it on an
intel some time ago (and didn't report it because that was like 2 days after the
new X hit rawhide, after that I reverted to F-8 X), but now (first time I tried)
I'm seeing the same problem on my ati radeon 9800 pro (x86_64 machine).

Reverting to F-8 X server + drv (and the drv is almost identical AFAIK) fixes
things, so either this is caused by an X-server issue, or this is a "feature" of
the new server for which all drivers need patching.

Reproduction is trivial in my case, just try to add a comment to a bugzilla bug,
all text typed in the comment textbox is garbled most of the time, thus I'm
typing this from a rawhide install with X-server + drv reverted to F-8

Comment 7 Matthias Clasen 2008-02-15 01:01:50 EST
Still seeing this with nv in current rawhide.
Comment 8 Hans de Goede 2008-02-15 03:06:08 EST
Ajax, this very bad X (rawhide) bug somehow got assigned to the reported instead
of you, changing assignee to you.

(In reply to comment #7)
> Still seeing this with nv in current rawhide.

That definitely confirms that this most likely is a server issue not a driver
one. I've tried the following:
-install F-8 X server + devel package
-build latest ati driver from devel branch in CVS

Works fine, where as the latest ati driver build and used against X as in
rawhide results in this font corruption problem. Notice that there is a separate
bug for this against the ati driver, bug 425401, which can probably be closed as
a dup of this one.

p.s. I'm changing the blocker from the generic F-9 blocker to the F-9 X blocker.
Comment 9 Adam Jackson 2008-02-21 13:21:52 EST
*** Bug 433600 has been marked as a duplicate of this bug. ***
Comment 10 Hans de Goede 2008-02-25 16:53:32 EST
I just updated to the latest xserver and ati driver from rawhide:
xorg-x11-server-Xorg-1.4.99.1-0.23.20080222.fc9
xorg-x11-drv-ati-6.8.0-1.fc9

And this still happens, can we please, pretty pretty please have this fixed. Are
the any clues where this is coming from, if I have some idea where to look I
could try taking a stab at fixing this myself.
Comment 11 Adam Jackson 2008-02-26 15:40:11 EST
(In reply to comment #10)

> And this still happens, can we please, pretty pretty please have this fixed. Are
> the any clues where this is coming from, if I have some idea where to look I
> could try taking a stab at fixing this myself.

Not the sort of bug that begging magically fixes, sorry.

I've only seen this with non-antialiased fonts, so if I had to guess, I'd say
the X server is creating glyphs with garbage contents for some reason.
Comment 12 Adam Jackson 2008-02-26 15:40:36 EST
*** Bug 425401 has been marked as a duplicate of this bug. ***
Comment 13 Hans de Goede 2008-02-28 05:41:15 EST
I think this bug might contain some hints:
https://bugs.freedesktop.org/show_bug.cgi?id=7681

Specifically the function which probably is broken now (but only with XAA not
with EXA) is XRenderAddGlyphs or maybe XRenderCompositeText, Also see:
https://bugs.freedesktop.org/show_bug.cgi?id=7494
Comment 14 Matthias Clasen 2008-03-03 23:00:02 EST
Extra data point: I'm still seeing it with nv as of today. It doesn't seem to
occur with nouveau.
Comment 15 Konstantin 2008-04-18 03:20:06 EDT
I have the same problem on up-to-date rawhide (2008.04.16) on both nv and nvidia
drivers.
Fonts are rendering with noise in gnome and kde3 apps, though on kde4 everything
seems OK.
Comment 16 Hans de Goede 2008-04-18 03:24:46 EDT
Note: this has been fixed for me (radeon r300, x86_64) for some time now.
Comment 17 Matěj Cepl 2008-04-18 06:55:42 EDT
Matthias?
Comment 18 Joachim Frieben 2008-04-23 11:21:49 EDT
(In reply to comment #12)
> *** Bug 425401 has been marked as a duplicate of this bug. ***

Current rawhide behaves correctly with respect to the issue reported in
bug 425401 which was an XAA issue. I am only wondering whether the bug
has been resolved or the following entry in Xorg.0.log is correct:

 "(II) RADEON(0): XAA Render acceleration unsupported on Radeon 9500/9700
  and newer. Please use EXA instead."

The card is an ATI X800, so this would apply implying that no render
acceleration is enabled which explain that the issue is gone. However,
one reads later on:

 "(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)"
Comment 19 Adam Goode 2008-04-23 17:40:10 EDT
I am experiencing this on Rawhide today, in emacs. Select 7x13 font and get
garbage in colored text. Should this be a new bug?
Comment 20 Adam Goode 2008-04-23 17:41:34 EDT
Created attachment 303550 [details]
emacs garbage rendering
Comment 21 Matěj Cepl 2008-04-25 09:46:07 EDT
Adam, please attach your X server config file (/etc/X11/xorg.conf) and X server
log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 22 Matěj Cepl 2008-04-25 09:49:08 EDT
*** Bug 443923 has been marked as a duplicate of this bug. ***
Comment 23 Adam Goode 2008-04-25 18:12:50 EDT
It's not happening once I upgrade to xorg-x11-drv-i810-2.2.1-22.fc9. I assume it
is because EXA is now default. I will manually switch to XAA and attach the logs.
Comment 24 Adam Goode 2008-04-25 18:19:25 EDT
Created attachment 303829 [details]
intel xorg.conf
Comment 25 Adam Goode 2008-04-25 18:19:48 EDT
Created attachment 303830 [details]
intel xorg log
Comment 26 Dave Airlie 2008-04-28 01:16:14 EDT
Matthias can you try

Option "XaaNoScanlineCPUToScreenColorExpandFill"

in the Device section of your xorg.conf?

I can reproduce this nv bug on G80 hw by running openoffice in japanese with
sazanami mincho fonts installed (one of my local i18n guys showed it to me..)

I've no idea how we can fix this I'll gladly turn off that option in the nv
driver and let it keep going at this stage..

I'll consult the ajax-oracle... AJAX?? :-)
Comment 27 Mikko Huhtala 2008-04-28 13:46:19 EDT
I'm seeing garbled fonts in the GNU Emacs splash screen on Radeon RV250
[Mobility FireGL 9000] (rev 02). I have

xorg-x11-server-Xorg-1.4.99.901-26.20080415.fc9.i386
xorg-x11-drv-ati-6.8.0-10.fc9.i386
freetype-2.3.5-4.fc9.i386 (recompiled with patented algorithms enabled)
emacs-23.0.60-2.fc9.i386

My xorg.conf is as written by the installer/pyxf86config. It only has a minimal
Device section: 

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
EndSection

I'll attach a screenshot and Xorg log.
Comment 28 Mikko Huhtala 2008-04-28 13:48:22 EDT
Created attachment 304016 [details]
Screenshot re #27

Emacs splash screen appears like this every time. Otherwise font rendering
appears to work in Emacs.
Comment 29 Mikko Huhtala 2008-04-28 13:49:14 EDT
Created attachment 304017 [details]
Xorg log re #27
Comment 30 Jens Petersen 2008-04-29 02:18:08 EDT
> I can reproduce this nv bug on G80 hw by running openoffice in japanese with
> sazanami mincho fonts installed (one of my local i18n guys showed it to me..)

That would be bug 443735 btw.
Comment 31 Bug Zapper 2008-05-13 23:54:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Alexander 2008-05-15 11:09:36 EDT
Created attachment 305496 [details]
xorg log
Comment 33 Alexander 2008-05-15 11:13:46 EDT
It seems that I am too experiencing this bug, but in gvim for me. The text
displayed by gvim is displayed like lines of noise. I use x300 ati card, gvim is
set to use terminus fonts.

Comment 34 Alexander 2008-05-15 11:15:23 EDT
Created attachment 305497 [details]
screenshot of the corrupted gvim window
Comment 35 Alexander 2008-05-15 11:16:00 EDT
Created attachment 305498 [details]
xorg.conf file
Comment 36 Alexander 2008-05-15 11:31:25 EDT
The bug is disappeared if I enable EXA accel method. Anaconda installer did not
set EXA during installation. System is Fedora 9.
Comment 37 Matthias Clasen 2008-05-16 17:47:32 EDT
I tried today, but failed to reproduce the 'lines of noise' problem with nv and
rawhide today. But it looks like the bug lives on on the radeon side, judging
from Alexanders comments.
Comment 38 Adam Goode 2008-05-16 18:55:48 EDT
No, it is doubtful that it is just radeon, because intel driver is still broken
as late as xorg-x11-drv-i810-2.2.1-22.fc9. It is possible they have the same bug
separately, or trigger the same bug in common code.
Comment 39 Alexander 2008-06-10 03:18:54 EDT
I noticed the same problem on another machine with nvidia proprietary driver
installed. The machine is running Fedora 9 with all latest updates installed.
Comment 40 Jens Petersen 2008-11-13 01:40:22 EST
I see this too every time I put a Fedora Live image in qemu-kvm.
Comment 41 Jens Petersen 2008-11-13 01:59:51 EST
... just after logging in on the gnome-panel with both F9 and F10.
Comment 42 Bug Zapper 2008-11-25 21:03:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 43 Bug Zapper 2009-11-18 07:23:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 44 Bug Zapper 2009-12-18 01:00:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.